%%NAME
%%  eptitle - print title of polar plot
%%
%%SYNOPSIS
%%  eptitle ([text[,distance[,fontSize]]])
%%
%%PARAMETER(S)
%%  text     title text
%%  distance distance from plot area
%%  fontSize fontsize of text
%%
%%GLOBAL PARAMETER(S)
%%  ePlotTitleText
%%  ePlotTitleDistance
%%  ePlotTitleFontSize
%%  ePlotTitleTextFont
%%  ePolarPlotAreaCenterPos
%%  ePolarPlotAreaRadMax
% written by Stefan Mueller stefan.mueller@fgan.de 2002

function eptitle(text,distance,fontSize)
  if  nargin >3
    usage('eptitle([text[,distance[,fontSize]]])');
  end
  eglobpar;
  if nargin>0
    ePlotTitleText=text;
  end
  if nargin>1
    ePlotTitleDistance=distance;
  end
  if nargin>2
    ePlotTitleFontSize=fontSize;
  end
  if strcmp(ePlotTitleText,'')~=1
    etext(ePlotTitleText,ePolarPlotAreaCenterPos(1),...
         ePolarPlotAreaCenterPos(2)+ePolarPlotAreaRadMax+...
         ePlotTitleDistance,ePlotTitleFontSize,0,ePlotTitleTextFont,0);
  end
